<!--- All HTML documents begin with specifying that the document type is html -->
<!DOCTYPE HTML>

<!--- 
The "html" tag tells the IDE or browser to begin reading and outputing the html. The "lang" 
attribute tells what language the document should be in. "en" stands for english 
-->
<html lang="en">

    <!--- 
    This tag is the head of the HTML document. Everything concerning background tasks of the 
    HTMl document is dumped here. This includes links to CSS stylesheets, references to JQuery
    scripts, and metadata.
    -->
    <head>
    
        <!--- 
        This "meta" tag specifies metadata. This provides the browser with information on how
        to read and display the document. It also can give descriptions, author names, etc.
        
        These metadata below (charset and viewport) should always be included in every html document.
        Charset tells which character set the website is written in. Our code is in UTF-8.
        Viewport tells the browser what scale the render the website at.
        In this case, the minimum and inital scale is 1, meaning that the website cannot be strunken past
        this scale, even by the user. A maximum scale can also be added.
        
        The "name" attribute is a way for the back-end servers to reference input elements in the html.
        The "content" attribute is just short hand for specifying the functionality of a certain element without
        needing a link to a separate document.
        -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width,minimum-scale=1,initial-scale=1">
    </head>
    
    <!--- We put everything in the website that shows on screen in the body element -->
    <body>
    
        <!--- 
        This is a header element. Any text within the text will be applyed with the default header styles.
        More on headers in the next lesson.
        -->
        <h1>Hello World!</h1>
    </body>
</html>